=== debian/changelog ===
ess (18.10.2-2) unstable; urgency=medium

  * debian/control: Change Build-Depends: from texlive-generic-recommended
    to texlive-plain-generic 				(Closes: #941517)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Oct 2019 12:38:13 -0500

ess (18.10.2-1) unstable; urgency=medium

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 10 Nov 2018 07:02:07 -0600
