=== debian/control ===
Source: ess
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: dh-elpa, texlive-base, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-plain-generic, texlive-extra-utils, texlive-fonts-recommended, texinfo
Vcs-Browser: https://salsa.debian.org/edd/ess
Vcs-Git: https://salsa.debian.org/edd/ess.git
Homepage: http://ess.r-project.org

Package: elpa-ess
Architecture: all
Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), dpkg (>= 1.15.4) | install-info
Conflicts: dhelp (<= 0.3.12)
Breaks: ess (<= 17.11-3)
Recommends: r-base-core
Suggests: xlispstat, pspp, jags, julia
Description: Emacs mode for statistical programming and data analysis
 "Emacs Speaks Statistics" (ESS) is an add-on package for emacs text
 editors such as GNU Emacs and XEmacs. It is designed to support
 editing of scripts and interaction with various statistical analysis
 programs such as R, S-Plus, SAS, Stata and OpenBUGS/JAGS.  Although
 all users of these statistical analysis programs are welcome to apply
 ESS, advanced users or professionals who regularly work with
 text-based statistical analysis scripts, with various statistical
 languages/programs, or with different operating systems might benefit
 from it the most.
 .
 The rationale for developing ESS is that most statistical analysis
 systems provide a more or less sophisticated graphical user interface
 (GUI). However, their full power is only available using their
 scripting language. Furthermore, complex statistical analysis
 projects require a high degree of automation and documentation which
 can only be handled by creating statistical analysis
 scripts. Unfortunately, many statistics packages provide only weak
 text editor functionality and show major differences between
 them. Without a unified text editor user interface additional effort
 is required from the user to cope with limited functionality and with
 text editor differences.
 .
 Therefore, emacs editors and the ESS package provide the following
 major features:
  - Support for various operating systems
    Examples: Linux, Unix, Mac OS X and MS Windows
  - Working environment based on emacs
    Examples: File Manager (Dired), File Transfer Client/Telnet Client
    (Tramp), Multiple Clipboards (registers), Bookmarks, Abbreviations,
    and many others
  - Support for various statistical analysis languages
    Examples: R, S-Plus, SAS, Stata and OpenBUGS/JAGS
    Examples: Keybindings, Abbreviations, Syntax highlighting, Code
    formatting, Commenting, Submitting scripts, Displaying results and
    Searching documentation
 .
 ESS is freely available under the GNU General Public License (GPL).
 For further technical and legal information please refer to the ESS
 Manual.

Package: ess
Architecture: all
Depends: ${misc:Depends}, elpa-ess
Description: Transition Package, ess to elpa-ess
 The ESS addon package for Emacs has been elpafied.  This dummy package
 helps ease transition from ess to elpa-ess.
