=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

# This is one format for an HTTP site, which is the same as the FTP format
http://ess.r-project.org/downloads/ess/ess-([-0-9\.]*).tgz
