=== debian/changelog ===
ess (18.10.2+git20220915.f45542e-3) unstable; urgency=medium

  * testsuite.patch: disable ess--command-browser-timeout-test.
    It fails randomly.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 27 Oct 2022 21:12:06 +0200

ess (18.10.2+git20220915.f45542e-2) unstable; urgency=medium

  * testsuite.patch: disable command-without-trailing-newline-test.
    It fails randomly.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 23 Oct 2022 16:10:25 +0200

ess (18.10.2+git20220915.f45542e-1) unstable; urgency=medium

  * New upstream snapshot, compatible with Emacs 28 (Closes: #1017829)
  * Move maintenance to the Debian Emacsen team.
    Many thanks to Dirk Eddelbuettel for his work on this package over the
    years!
  * d/watch: bump format to version 4
  * d/control: use secure URL for Homepage
  * Drop ess transitional package that depends on elpa-ess
  * d/copyright: rewrite using machine-readable format 1.0
  * Move to “editors” archive section, per Debian Emacsen team policy
  * Bump to debhelper compat level 13
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1
  * Ship PDF manual and ANNOUNCE file
  * Overhaul long description
  * refcard-clean.patch: new patch, adds missing clean rules for PDF refcard
  * Add d/upstream/metadata
  * Rewrite d/rules using dh.
  * Honour DEB_BUILD_OPTIONS=nodoc.
  * Exercise testsuite at build time and in an autopkgtest.
    New testsuite.patch for disabling or fixing a few failing tests.
  * Register manual into doc-base

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 16 Oct 2022 12:15:20 +0200

ess (18.10.2-3) unstable; urgency=medium

  * debian/control: Remove alternate dependency on install-info
                                  			(Closes: #1013685)
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed
  * debian/watch: Updated

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Jun 2022 17:23:24 -0500
