=== debian/control ===
Source: ess
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
               texlive-latex-extra,
               texinfo,
# Build-depend on R for the testsuite
               r-base-core
Vcs-Browser: https://salsa.debian.org/emacsen-team/ess
Vcs-Git: https://salsa.debian.org/emacsen-team/ess.git
Homepage: https://ess.r-project.org
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa

Package: elpa-ess
Architecture: all
Depends: ${misc:Depends},
         ${elpa:Depends}
Enhances: emacs
Recommends: r-base-core
Suggests: pspp, jags
Description: Emacs mode for statistical programming and data analysis
 Emacs Speaks Statistics (ESS) is an add-on package for GNU Emacs. It is
 designed to support editing of scripts and interaction with various
 statistical analysis programs such as R, S, S-Plus, SAS, Stata, BUGS/JAGS and
 Julia.
 .
 It provides the following features:
  - Editing source code (R, S, S-plus, SAS, BUGS/JAGS, Stata, Julia)
    + Syntactic indentation and highlighting of source code
    + Partial evaluation of code
    + Loading and error-checking of code
    + Source code revision maintenance
    + Batch execution (SAS, BUGS/JAGS)
    + Use of imenu to provide links to appropriate functions
  - Interacting with the process (R, S, S-plus, SAS, Stata, Julia)
    + Command-line editing
    + Searchable Command history
    + Command-line completion of R, S, S-plus object names and file names
    + Quick access to object lists and search lists
    + Transcript recording
    + Interface to the help system
  - Transcript manipulation (R, S, S-plus, Stata)
    + Recording and saving transcript files
    + Manipulating and editing saved transcripts
    + Re-evaluating commands from transcript files
  - Interaction with Help Pages and other Documentation (R)
    + Fast Navigation
    + Sending Examples to running ESS process
    + Fast Transfer to Further Help Pages
  - Help File Editing (R)
    + Syntactic indentation and highlighting of source code
    + Sending Examples to running ESS process
    + Previewing
