## ess 18.10.2+git20230419.5c4ae91

=== debian/changelog ===
ess (18.10.2+git20230419.5c4ae91-2) unstable; urgency=medium

  * testsuite.patch: disable more tests (Closes: #1052936)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Oct 2023 14:05:19 +0200

ess (18.10.2+git20230419.5c4ae91-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright: reflect upstream changes
  * refcard-clean.patch: drop patch, applied upstream
  * Trim trailing whitespace.
  * Update standards version to 4.6.2, no changes needed.
  * debian/elpa-test: adapt to upstream testsuite changes
  * testsuite.patch: disable two new tests

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 Jun 2023 10:46:46 +0200
