## ess 24.01.1

=== Makefile ===
--- 
+++ 
@@ -17,11 +17,12 @@
 all: lisp doc etc autoloads
 
 .PHONY: version
-version:
+version: VERSION
 	@echo "********************* VERSIONS **************************"
 	@echo $(shell $(EMACS) --version | sed -n 1p)
 	@echo ESS $(ESSVERSION)
 	@echo ESSR $(ESSR-VERSION)
+	@sed -i "s/\"VERSION\"/\"$(ESSVERSION)\"/" lisp/ess-custom.el
 	@echo "*********************************************************"
 
 .PHONY: lisp
@@ -77,7 +78,7 @@
 ## the rest of the targets are for ESS developer's use only :
 .PHONY: tarballs sign-tarballs
 TARBALLS = ess-$(ESSVERSION).tar ess-$(ESSVERSION).tgz ess-$(ESSVERSION).zip # TODO: ess-plus-$(VERSION).tar
-tarballs: $(TARBALLS)
+tarballs: $(TARBALLS) 
 
 SIGNED_TARBALLS = $(addsuffix .sig, $(TARBALLS))
 sign-tarballs: $(SIGNED_TARBALLS)
@@ -116,8 +117,8 @@
 # run in the foreground so you can accept the certificate
 # NB 'all', 'cleanup-dist' must not be targets: otherwise, e.g.
 #    'make tarball' re-builds the tarballs always!
-$(ESSDIR): RPM.spec
-	$(MAKE) all
+$(ESSDIR): RPM.spec autoloads
+	$(MAKE) all 
 #	remove previous ESSDIR, etc:
 	$(MAKE) cleanup-dist
 	@echo "** Exporting Files **"
@@ -132,6 +133,7 @@
 	cd lisp; $(INSTALL) ess.el ../$(ESSDIR)/lisp/; cd ..
 	cd lisp; $(MAKE) julia-mode.el; $(INSTALL) julia-mode.el ../$(ESSDIR)/lisp/; cd ..
 	$(INSTALL) RPM.spec $(ESSDIR)/
+	$(INSTALL) lisp/ess-autoloads.el $(ESSDIR)/lisp/
 	chmod a-w $(ESSDIR)/lisp/*.el
 	chmod u+w $(ESSDIR)/lisp/ess-site.el $(ESSDIR)/Make* $(ESSDIR)/*/Makefile
 	touch $(ESSDIR)/etc/.IS.RELEASE
@@ -174,7 +176,8 @@
 
 tag:
 	@echo "** Tagging the release **  1) pull existing;  2) tag  3) push it"
-	git pull --tags
+	git fetch --tags
+##	git pull --tags
 	@echo "Creating tag (no signing, as that fails for MM)"
 	git tag -m'release tagging' v$(ESSVERSION)
 	@echo '** Pushing the 	v$(ESSVERSION)  upstream ...'
