=== debian/changelog ===
ess (24.01.1-5) unstable; urgency=medium

  * Team upload
  * testsuite.patch: disable ess-r-project-auto-activation-test
    (Closes: #1099229)
  * Remove myself from Uploaders
  * Bump S-V to 4.7.2

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 27 Mar 2025 10:48:32 +0100

ess (24.01.1-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:24:07 +0900

ess (24.01.1-3) unstable; urgency=medium

  * testsuite.patch: disable two more tests that fail on buildds

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 May 2024 14:21:36 +0200

ess (24.01.1-2) unstable; urgency=medium

  * testsuite.patch: fix two tests in ess-test-inf.el.
    The “Browse[…]” prompts numbering has apparently changed.
    (Closes: #1071306)
  * Bump Standards-Version to 4.7.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 May 2024 11:37:49 +0200

ess (24.01.1-1) unstable; urgency=medium

  * New upstream version 24.01.1 (Closes: #1064388)
  * d/watch: point to GitHub tags page.
    Latest upstream tarball was not uploaded to the traditional location, and
    moreover the upstream tarball available for download on the website contains
    spurious files.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 28 Feb 2024 10:28:41 +0100

ess (24.01.0-1) unstable; urgency=medium

  * New upstream version 24.01.0
  * d/watch: fix matching of tarball extension
  * d/gbp.conf: switch back to using upstream tarballs
  * d/copyright: reflect upstream changes
  * Ship the NEWS file

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 31 Jan 2024 14:12:47 +0100
