=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                texlive-latex-extra,
