=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	make -C doc all html pdf
endif

# Skip byte compilation by upstream build system
override_dh_auto_install:

override_dh_auto_clean:
	make -C doc clean
	rm -f .Rhistory # Generated by the testsuite
